Bug 205062 - devel/py-twisted: Update to 15.5.0
Summary: devel/py-twisted: Update to 15.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: https://reviews.freebsd.org/D4715
Keywords:
Depends on:
Blocks: 205063 205065 205078 205085
  Show dependency treegraph
 
Reported: 2015-12-06 14:09 UTC by Yuri Victorovich
Modified: 2015-12-27 16:49 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
shar archive (140.86 KB, application/shar)
2015-12-06 14:09 UTC, Yuri Victorovich
no flags Details
patch (2.31 KB, patch)
2015-12-06 14:11 UTC, Yuri Victorovich
no flags Details | Diff
patch (141.44 KB, patch)
2015-12-06 14:14 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-12-06 14:09:04 UTC
Created attachment 163899 [details]
shar archive

Now all */py-twistedXxx ports are in one devel/py-twisted.
It used to be the meta-port.

Please note that python framework fails to build the correct plist, that is why I had to build it manually. This might be because of some bug in the port itself, but I doubt it.
Feel free to add autoplist back if you can figure out why is that.

It passes pourdriere.

I think all */py-twistedXxx should also be obsoleted.
Comment 1 Yuri Victorovich freebsd_committer 2015-12-06 14:11:23 UTC
Created attachment 163900 [details]
patch

Oops, should be a patch.
Comment 2 Yuri Victorovich freebsd_committer 2015-12-06 14:14:42 UTC
Created attachment 163901 [details]
patch
Comment 3 Yuri Victorovich freebsd_committer 2015-12-06 15:05:56 UTC
All ports depending on */py-twistedXxx need to updated. Here is the complete list:

devel/buildbot/Makefile:                ${PYTHON_PKGNAMEPREFIX}twistedWords>=11.0.0:${PORTSDIR}/net-im/py-twistedWords
finance/bitcoin-armory/Makefile:                ${PYTHON_PKGNAMEPREFIX}twistedCore>=14.0.0:${PORTSDIR}/devel/py-twistedCore
Comment 4 Yuri Victorovich freebsd_committer 2015-12-06 15:14:27 UTC
And one more:
finance/py-python-obelisk/Makefile:RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}twistedCore>0:${PORTSDIR}/devel/py-twistedCore
Comment 5 Yuri Victorovich freebsd_committer 2015-12-07 01:00:27 UTC
Also Mk/Uses/twisted.mk needs to be removed and regular py-Twisted dependency used instead.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-08 04:09:02 UTC
@Yuri, please don't create anymore issues that depend on this until this issue is resolved first. I would not like to see any extra work necessary for yourself to update the dependent issues in the event this proposal/changeset gets reworked.
Comment 7 commit-hook freebsd_committer 2015-12-27 16:37:15 UTC
A commit references this bug:

Author: miwi
Date: Sun Dec 27 16:37:11 UTC 2015
New revision: 404580
URL: https://svnweb.freebsd.org/changeset/ports/404580

Log:
  - devel/py-twisted: Update to 15.5.0, Create devel/py-twisted152

  - Update to 15.5.0 which comes with a small API change, and repackage
    into a single port as upstream are no longer creating sub-packages [1].

  -  Copy py-twisted to py-twisted152 to allow MAINTAINERS of dependent ports
     to switch to the new version, given the API change mentioned above

  Changes:
      https://github.com/twisted/twisted/blob/twisted-15.5.0/NEWS
      [1] https://github.com/twisted/twisted/blob/twisted-15.3.0/NEWS#L47

  PR:		205062
  Submitted by:	yuri@rawbw.com
  Reviewed by:	antoine / koobs
  Discussed:      #freebsd-python
  Differential Revision:	D4715

Changes:
  head/devel/Makefile
  head/devel/py-twisted/Makefile
  head/devel/py-twisted/distinfo
  head/devel/py-twisted/pkg-plist
  head/devel/py-twisted152/
  head/devel/py-twisted152/Makefile
Comment 8 Martin Wilke freebsd_committer 2015-12-27 16:49:55 UTC
Hi,

I've updated the meta port, but we keep the old version first, there are to many breaks in the between, not to mention the api change. 

Thanks for your work on that.

Any future question please drop me a mail :)